Bug 1195260 (CVE-2015-8900) - CVE-2015-8900 ImageMagick: denial of service flaw in HDR file processing
Summary: CVE-2015-8900 ImageMagick: denial of service flaw in HDR file processing
Status: CLOSED WONTFIX
Alias: CVE-2015-8900
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150219,reported=2...
Keywords: Security
Depends On: 1195263
Blocks: 1195276
TreeView+ depends on / blocked
 
Reported: 2015-02-23 13:46 UTC by Martin Prpič
Modified: 2019-06-08 20:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-22 12:49:56 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-02-23 13:46:46 UTC
A denial of service flaw (infinite loop) was found in the way ImageMagick processed certain HDR files:

http://seclists.org/oss-sec/2015/q1/608

Upstream issue, including a reproducer:

http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26929

Upstream patches:

http://trac.imagemagick.org/changeset/17845
http://trac.imagemagick.org/changeset/17846

Comment 1 Martin Prpič 2015-02-23 13:52:22 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1195263]

Comment 2 Fedora Update System 2015-03-15 10:53:13 UTC
ImageMagick-6.8.8.10-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.